#include <18F4620.h>
#device adc=8

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES WDT128                   //Watch Dog Timer uses 1:128 Postscale
#FUSES INTRC_IO                       //High speed Osc (> 4mhz)
#FUSES NOPROTECT                //Code not protected from reading
#FUSES BROWNOUT                 //Reset when brownout detected
#FUSES BORV20                   //Brownout reset at 2.0V
#FUSES NOPUT                    //No Power Up Timer
#FUSES STVREN                   //Stack full/underflow will cause reset
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOWRT                    //Program memory not write protected
#FUSES NOWRTD                   //Data EEPROM not write protected
#FUSES NOWRTB                   //Boot block not write protected
#FUSES NOWRTC                   //configuration not registers write protected
#FUSES NOCPD                    //No EE protection
#FUSES NOCPB                    //No Boot Block code protection
#FUSES NOEBTR                   //Memory not protected from table reads
#FUSES NOEBTRB                  //Boot block not protected from table reads

#use delay(clock=32M)
#use rs232(baud=9600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=9)



#define GLCD_WIDTH   128

#define FAST_GLCD

#define GLCD_E       PIN_A5   // Enable
#define GLCD_DI      PIN_A2
#define GLCD_CS1     PIN_A0   // Chip Selection 1
#define GLCD_CS2     PIN_A1
#define GLCD_RW      PIN_A4   // Read/Write

#include <HDM64GS12.c>
#include <graphics.c>


#include "horses.h"

unsigned int i,j, k; 
unsigned int16 sayac=0;

//-------------------------{}----------------------------
void display_horse1(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse1[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse2(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse2[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse3(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse3[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse4(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse4[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse5(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse5[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse6(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse6[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse7(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse7[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse8(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse8[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse9(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse9[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse10(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse10[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse11(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse11[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse12(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse12[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse13(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse13[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse14(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse14[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------
void display_horse15(int x, int y)
{
sayac=0;
int width = 81, height = 64;
 for(i=0;i<height;i+=8) {
   for(j=0;j<width;j++) {
      for(k=0;k<8;k++) 
      { 
            if(bit_test(horse15[sayac],k)){
               glcd_pixel(x+j,y+i+k,ON); 
               }
      }
      sayac++;
   }
 }
}
//-------------------------{}----------------------------

void main()
{

   int bekleme;

   setup_adc_ports(NO_ANALOGS);
   setup_adc(ADC_OFF);//ADC_CLOCK_INTERNAL);
   setup_psp(PSP_DISABLED);
   SETUP_SPI(SPI_MASTER | SPI_CLK_DIV_16 | SPI_H_TO_L |SPI_XMIT_L_TO_H ); //msdos
   setup_wdt(WDT_OFF);
   setup_timer_0(RTCC_INTERNAL);
   setup_timer_1( T1_INTERNAL | T1_DIV_BY_1); 
   setup_timer_2(T2_DIV_BY_4, 255,4); 
   setup_timer_3(T3_DISABLED|T3_DIV_BY_1);

   
  
printf(" Ozkal's Running Horse (%s) (%s )\n\r",__FILENAME__,__DATE__); 
   
   disable_interrupts(GLOBAL);
   
   glcd_init(ON);      
   
   bekleme = 50;
   
//----------------------***-----ANA DNG-----------
   while(TRUE){   

   display_horse1(24,0);
   glcd_update();
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse2(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse3(24,0);
   glcd_update();
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse4(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse5(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse6(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse7(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse8(24,0);
   glcd_update();
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse9(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse10(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse11(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse12(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse13(24,0);
   glcd_update();
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse14(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   display_horse15(24,0);
   glcd_update();   
   delay_ms(bekleme);
   glcd_fillScreen(0);
   


   
   }
//----------------------***-----ANA DNG SONU------   


}  


